Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class ResourceType

    java.lang.Object
      com.compoze.domino.ResourceType

All Implemented Interfaces:
  java.io.Serializable

public class ResourceType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for the Domino task notice types. The type of notice is represented with a type string.

See Also:
  Serialized Form

Field Summary
`static ResourceType` | `OTHER` This value represents the 'other' resource type.
`static ResourceType` | `ROOM` This value represents the 'room' resource type.
`static int` | `VALUE_OTHER` This value represents the 'other' value.
`static int` | `VALUE_ROOM` This value represents the 'room' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static java.util.List` | `getList()` Gets the list of resource types.
`int` | `getValue()` Gets the enumeration value of the resource type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ROOM

    public static final int VALUE_ROOM

  This value represents the 'room' value.

  See Also:
    Constant Field Values

### VALUE_OTHER

    public static final int VALUE_OTHER

  This value represents the 'other' value.

  See Also:
    Constant Field Values

### ROOM

    public static final ResourceType ROOM

  This value represents the 'room' resource type.

### OTHER

    public static final ResourceType OTHER

  This value represents the 'other' resource type.

Method Detail

### getValue

    public int getValue()

  Gets the enumeration value of the resource type. This value is unique within the `ResourceType` class.

  Returns:
    the enumeration value of the resource type (see `VALUE_` constants)

### getList

    public static java.util.List getList()

  Gets the list of resource types.

  Returns:
    the list of `ResourceType`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is considered equal if the type string matches (case insensitive).

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same type string as the argument; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.